import math

class Point:
	"""A class to represent a two-dimensional point"""
	def __init__(self):
		self.x = 0
		self.y = 0 
		
	def __str__(self):
		return str(self.x) + ", " + str(self.y)
	
	def move(self, dx, dy):
		self.x += dx
		self.y += dy
	
	def distance(self, p2):
		dx = self.x - p2.x
		dy = self.y - p2.y
		return math.sqrt(dx*dx+dy*dy)
	
	def equals(self, p2):
		return (self.x == p2.x) and (self.y == p2.y)

#p1 = Point()
#p1.move(2,3)
#
#p2 = Point()
#p2.move(2,3)
#
#print p1==p2
#print p1.equals(p2)
